> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-55d9d317.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# إنشاء دعوة

> ينشئ دعوة للمؤسسة.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/invitations
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/invitations:
    post:
      tags:
        - User management
      summary: إنشاء دعوة
      description: ينشئ دعوة للمؤسسة.
      parameters:
        - description: معرّف المؤسسة المراد دعوة مستخدم إليها.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvitationPostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد مُخصّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Invitation'
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعتبر خطأ من
            جهة العميل.
components:
  schemas:
    InvitationPostRequest:
      properties:
        email:
          description: >-
            البريد الإلكتروني للمستخدم المدعو. لا يمكن الانضمام باستخدام الدعوة
            إلا لمستخدم يملك عنوان البريد الإلكتروني هذا. يُخزَّن البريد
            الإلكتروني بصيغة الأحرف الصغيرة.
          format: email
          type: string
        role:
          description: دور العضو في المؤسسة.
          enum:
            - admin
            - developer
          type: string
    Invitation:
      properties:
        createdAt:
          description: الطابع الزمني لإنشاء الدعوة. ISO-8601.
          format: date-time
          type: string
        email:
          description: >-
            البريد الإلكتروني للمستخدم المدعو. لا يمكن الانضمام باستخدام الدعوة
            إلا من قِبل مستخدم يملك هذا البريد الإلكتروني. يُخزَّن البريد
            الإلكتروني بأحرف صغيرة.
          format: email
          type: string
        expireAt:
          description: الطابع الزمني لانتهاء صلاحية الدعوة. ISO-8601.
          format: date-time
          type: string
        id:
          description: معرّف الدعوة الفريد.
          format: uuid
          type: string
        role:
          description: دور العضو في المؤسسة.
          enum:
            - admin
            - developer
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````